'' Timer Test
'' -- Jon Williams, Parallax
'' -- 16 APR 2006


CON

  _clkmode = xtal1 + pll16x                             ' use crystal x 16
  _xinfreq = 5_000_000
  

OBJ

  lcd   : "debug_lcd"
  timer : "timer"

  
PUB main

  if lcd.start(0, 19_200, 4)                            ' 4x20 Parallax LCD on A0, set to 19.2k
    lcd.cursor(0)                                       ' no cursor
    lcd.cls
    lcd.backlight(true)                                 ' backlight on
    if timer.start                                      ' start timer cog
      lcd.str(string("TIMER"))
      timer.run
      repeat
        lcd.gotoxy(0, 1)                                ' move to col 0 on line 1
        lcd.str(timer.showTimer)
      
  